Skip to main content
POST
/
orders
/
bulk
Bulk order operations
curl --request POST \
  --url https://api.context.markets/v2/orders/bulk \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "operations": [
    {
      "type": "create",
      "order": {
        "type": "limit",
        "marketId": "0x1111111111111111111111111111111111111111111111111111111111111111",
        "trader": "0x1111111111111111111111111111111111111111",
        "price": "1000000",
        "size": "1000000",
        "outcomeIndex": 123,
        "side": 0,
        "nonce": "0xabc123",
        "expiry": "1000000",
        "maxFee": "1000000",
        "makerRoleConstraint": 0,
        "inventoryModeConstraint": 0,
        "signature": "0xabc123",
        "buyValue": "1000000",
        "timeInForce": 0,
        "clientOrderType": "limit"
      }
    }
  ]
}
'
{
  "results": [
    {
      "type": "cancel",
      "success": true,
      "trader": "0x1111111111111111111111111111111111111111",
      "nonce": "0xabc123",
      "alreadyCancelled": true
    }
  ]
}

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Body

application/json
operations
object[]
required

Response

Bulk operations executed

results
object[]
required